View a markdown version of this page

ListSystems - Next generation Resilience Hub

ListSystems

Lists systems.

Request Syntax

GET /v2/list-systems?maxResults=maxResults&nextToken=nextToken&ouId=ouId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

Pagination page size.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Pagination token.

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

ouId

Filter systems by organizational unit (OU) identifier.

Length Constraints: Minimum length of 16. Maximum length of 68.

Pattern: ou-[a-z0-9]{4,32}-[a-z0-9]{8,32}

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "systemSummaries": [ { "createdAt": number, "name": "string", "organizationId": "string", "ouId": "string", "servicesCount": number, "systemArn": "string", "systemId": "string", "updatedAt": number, "userJourneysCount": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Pagination token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

systemSummaries

The list of system summaries.

Type: Array of SystemSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: